Subject: [BEHAVE] Errata 5415 (RE: Closing the mailing list)

From: <[email-masked]>
Date: Wed, 15 Jan 2020 14:19:35 +0000

Hi Magnus, 

In reference to errata 5415, please find attached the response I sent when the errata was received. I still maintain that position. 

Cheers,
Med

> -----Message d'origine-----
> De : Behave [mailto:[email-masked]] De la part de Magnus
> Westerlund
> Envoyé : mercredi 15 janvier 2020 14:15
> À : [email-masked]; [email-masked]; [email-masked]
> Objet : Re: [BEHAVE] Closing the mailing list
> 
> On Fri, 2020-01-10 at 10:46 -0500, Michael Richardson wrote:
> > Toerless Eckert <[email-masked]> wrote:
> >     > Whats the benefit of closing the list ? If someone has
> calculated that
> >     > the 20 KByte of disk space required to maintain it on IETF
> servers costs
> >     > 50 cents/quarter, i am happy to shoulder that cost.
> >
> > I also don't know why we close lists for WGs that have documents in
> the wild.
> > The result is that we can't process errata.  If you get stream of
> > unsubscribes are a result of this thread, fine, people have sorted
> themselves.
> >
> 
> I think the largest cost is in volunteer effort from having someone
> moderate the list. If someone is willing to become admin of the list
> then I can keep it alive for now as there apparently some that care.
> 
> When it comes to errata there are some benefit in the mailing list.
> There are actually 7 Errata that are not processed.
> 
> RFC5766 (4933) 	17.3.3 	Technical 	behave (tsv) 	shakeeb
> 	TEXT
> 2017-02-15
> RFC5769 (4776) 	2 	Technical 	behave (tsv) 	software should
> include
> manufacturer and version number 	TEXT 	2016-08-12
> RFC6052 (5415) 	2.2 	Technical 	behave (tsv) 	Dale R. Worley
> 	TEXT
> 2018-07-01
> RFC6062 (3467) 	5.2. 	Technical 	behave (tsv) 	Nazmus Shakeeb
> 	TEXT
> 2013-01-22
> RFC6145 (4090) 	6 	Technical 	behave (tsv) 	Fernando Gont
> 	TEXT
> 2014-08-20
> RFC6146 (4756) 	3.5.3 	Technical 	behave (tsv) 	Alberto Leiva
> Popper
> TEXT 	2016-08-02
> RFC7050 (5152) 	IANA Conside 	Technical 	behave (tsv) 	Mark
> Andrews
> TEXT 	2017-10-11
> 
> If I get recommendation for how to handle them I will sanity check the
> recommendation and then register it in the system.
> 
> 
> Cheers
> 
> Magnus Westerlund
> 
> 
> ----------------------------------------------------------------------
> Networks, Ericsson Research
> ----------------------------------------------------------------------
> Ericsson AB                 | Phone  +46 10 7148287
> Torshamnsgatan 23           | Mobile +46 73 0949079
> SE-164 80 Stockholm, Sweden | mailto: [email-masked]
> ----------------------------------------------------------------------

Subject: Re: [BEHAVE] [Technical Errata Reported] RFC6052 (5415)
From: <[email-masked]>
To: RFC Errata System <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, BOUCADAIR Mohamed TGI/OLN <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Thu, 5 Jul 2018 09:27:20 +0000
List-Id: mailing list of BEHAVE IETF WG <behave.ietf.org>

Dear Dale,

Thank you for formally raising the point.

I do think that the u byte makes things complex and is not justified any more. Nevertheless, that artificially boundary was provisioned for "historical" reasons that were clarified in RFC 7136.

The community considered in the past updating RFC6052 to reflect that. For example, you may refer to
https://www.ietf.org/mail-archive/web/softwires/current/msg05508.html, but even at that time, the consensus of the softwire wg was to follow RFC6052 as it is (https://tools.ietf.org/html/rfc7599).

I suggest to maintain RFC6052 as it is. The harm is behind us given the installed deployment base: RFC6052-based implementations are widely deployed. It is key for all IPv6-only deployments in cellular networks over the world..

There is more harm in updating its vs. maintain it because of interoperability issue.

Cheers,
Med

> -----Message d'origine-----
> De : Behave [mailto:[email-masked]] De la part de RFC Errata System
> Envoyé : dimanche 1 juillet 2018 15:46
> À : [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Cc : [email-masked]; [email-masked]; [email-masked]
> Objet : [BEHAVE] [Technical Errata Reported] RFC6052 (5415)
>
> The following errata report has been submitted for RFC6052,
> "IPv6 Addressing of IPv4/IPv6 Translators".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata/eid5415
>
> --------------------------------------
> Type: Technical
> Reported by: Dale R. Worley <[email-masked]>
>
> Section: 2.2
>
> Original Text
> -------------
>    Bits 64 to 71 of the address are reserved for compatibility with the
>    host identifier format defined in the IPv6 addressing architecture
>    [RFC4291].  These bits MUST be set to zero.  When using a /96
>    Network-Specific Prefix, the administrators MUST ensure that the bits
>    64 to 71 are set to zero.  A simple way to achieve that is to
>    construct the /96 Network-Specific Prefix by picking a /64 prefix,
>    and then adding 4 octets set to zero.
>
> [and other parts of the text]
>
>
> Corrected Text
> --------------
> [This paragraph should be removed and corresponding changes made to
> the rest of section 2.2.]
>
> Notes
> -----
> Section 2.2 says that bits 64 to 71 of the Ipv6 address MUST be set to zero
> and references RFC 4291 as the authority.  However, RFC 7136 says:
>
>    In particular, RFC 4291 defines a method by which the
>    Universal and Group bits of an IEEE link-layer address are mapped
>    into an IPv6 unicast interface identifier.  This document clarifies
>    that those two bits are significant only in the process of deriving
>    interface identifiers from an IEEE link-layer address, and it updates
>    RFC 4291 accordingly.
>
> Thus, the text I've referenced in RFC 6052 is to enforce a requirement that
> was not correctly applied, and RFC 6052's statement about bits 64 to 71
> should be removed.  In addition, there are consequent changes in other parts
> of RFC 6052, including Figure 1, where the "u" field should be removed from
> the address formats.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC6052 (draft-ietf-behave-address-format-10)
> --------------------------------------
> Title               : IPv6 Addressing of IPv4/IPv6 Translators
> Publication Date    : October 2010
> Author(s)           : C. Bao, C. Huitema, M. Bagnulo, M. Boucadair, X. Li
> Category            : PROPOSED STANDARD
> Source              : Behavior Engineering for Hindrance Avoidance
> Area                : Transport
> Stream              : IETF
> Verifying Party     : IESG
>
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave

_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave